Mein 2ter Pi 3B+ / selbes Problem / Newbee sucht Hilfe

  • Gute Tag liebes Forum,

    dies ist nun mein 2'ter Pi 3B+, aber im Grunde habe ich mit beiden das selbe Problem.

    Es mag mir nicht gelingen "irgendein Program" via GUI zu installieren. Ich hab es mit dem pi-package manager des GUI, vermittel Synaptic + aptitude versucht ....

    aber nix, nada, niente


    Über terminal >>sudo apt-get install << geht das - aber sonst nicht.


    Wahrscheinlich gibt des schon mehr als einen Post dazu, deutet mich mal jemand in die richtige Richtung ??


    besten Dank


    Fortsetzung & mea culpa (wegen dem OS nicht angegeben), hier folgt die Info:


    Linux raspberrypi-02 5.4.72-v7+ #1356 SMP Thu Oct 22 13:56:54 BST 2020 armv7l GNU/Linux

    PRETTY_NAME="Raspbian GNU/Linux 10 (buster)"

    NAME="Raspbian GNU/Linux"

    VERSION_ID="10"

    VERSION="10 (buster)"


    Es spricht natürlich nichts gegen apt-get ...

    ... aber ich versuche dem einen oder anderen Tutorial auf YT zu folgen. Die setzen dort häufig das pi-packages bzw Synaptic ein - und ich kriege weder das eine noch das andere zum laufen.


    Ich bin meistens headless mit dem GUI auf dem Pi weswegen der SW install mit den zuvor genannten Tools vielleicht ganz angenehm wäre.


    Zu Fehlermeldungen:

    pi-packages (über GUI aufgerufen):

    KEINE Fehlermeldungen aber auch keine Installation, gleichgültig ob Apply oder OK gewählt wird. Es tut sich einfach nichts.


    synaptic (über terminal aufgerufen ohne sudo): Starting "Synaptic Package Manger" without administrative privileges ==> installiert nichts


    synaptic (über GUI): läßt sich gar nicht starten


    sudo synaptic (über terminal aufgerufen) liefert:

    No protocol specified

    Unable to init server: Could not connect: Connection refused

    Failed to initialize GTK.


    Probably you're running Synaptic on Wayland with root permission.

    Please restart your session without Wayland, or run Synaptic without root permission


    pkexec synaptic liefert:

    ==== AUTHENTICATING FOR com.ubuntu.pkexec.synaptic ===

    Authentication is required to run the Synaptic Package Manager

    Multiple identities can be used for authentication:

    1. ,,, (pi)

    2. root

    Choose identity to authenticate as (1-2): 1

    Password:

    polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie

    ==== AUTHENTICATION FAILED ===

    Error executing command as another user: Not authorized


    This incident has been reported.


    bzw. pkexec synaptic liefert:

    Authentication is required to run the Synaptic Package Manager

    Multiple identities can be used for authentication:

    1. ,,, (pi)

    2. root

    Choose identity to authenticate as (1-2): 2

    Password:

    polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie

    ==== AUTHENTICATION FAILED ===

    Error executing command as another user: Not authorized


    This incident has been reported.

    Edited 4 times, last by Breite_Gu: OS info nachgereicht Fehlermeldungen ergänzt ().